<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/
	
include("includes.php");

$asset_id = sanitize($_GET['asset_id']);
$node_ip = sanitize($_GET['node_ip']);
$subnet_id = sanitize($_GET['subnet_id']);

include("header.php");

$smarty->assign("node_ip", $node_ip);
$smarty->assign("asset_id", $asset_id);

$query = "SELECT
		asset_id,
		asset_name
	FROM
		asset
	ORDER BY
		asset_name";

$assets = $db->db_select($query);
foreach ($assets as $asset) {
	$asset_options[$asset['asset_id']] =  $asset['asset_name'];
}
$smarty->assign("asset_options", $asset_options);

$query = "SELECT subnet_id,
		CONCAT_WS('/', subnet_address, subnet_mask) AS subnet_name
	FROM subnet
	ORDER BY INET_ATON(subnet_address)";

$subnets = $db->db_select($query);
foreach ($subnets as $subnet) {
	$subnet_options[$subnet['subnet_id']] =  $subnet['subnet_name'];
}
$smarty->assign("subnet_options", $subnet_options);

$smarty->display("assignnodetoasset.tpl");

include("footer.php");
?>
